Package de.willuhn.jameica.hbci.gui.ext

# Class ExportAddSumRowExtension

java.lang.Object
de.willuhn.jameica.hbci.gui.ext.ExportAddSumRowExtension

All Implemented Interfaces:
  `de.willuhn.jameica.gui.extension.Extension`

public class ExportAddSumRowExtension extends Object implements de.willuhn.jameica.gui.extension.Extension
Erweitert den Export-Dialog um eine zusaetzliche Option mit der ausgewaehlt werden kann, ob eine Summenzeile ausgegeben werden soll.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`KEY_SUMROW_ADD`
Der Context-Schluessel fuer die Option zum Ausblenden des Saldo im Export.

## Constructor Summary

Constructors
Constructor
Description
`ExportAddSumRowExtension()`

## Method Summary

Modifier and Type
Method
Description
`void`
`extend(de.willuhn.jameica.gui.extension.Extendable extendable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### KEY_SUMROW_ADD

public static final String KEY_SUMROW_ADD
Der Context-Schluessel fuer die Option zum Ausblenden des Saldo im Export.

See Also:
  - Constant Field Values

## Constructor Details

### ExportAddSumRowExtension

public ExportAddSumRowExtension()

## Method Details

### extend

public void extend(de.willuhn.jameica.gui.extension.Extendable extendable)

Specified by:
  `extend` in interface `de.willuhn.jameica.gui.extension.Extension`